Google Web Toolkit (Beta)
Search this site:

# Class SuggestOracle

public class SuggestOracle
extends Object
// Superclass of `MultiWordSuggestOracle`
A SuggestOracle can be used to create suggestions associated with a specific query string. It is currently used by SuggestBox.

## Nested Classes

SuggestOracle.Request | A SuggestOracle request.
SuggestOracle.Response | SuggestOracle response.

## Nested Interfaces

SuggestOracle.Callback | Callback for SuggestOracle.
SuggestOracle.Suggestion | Suggestion supplied by the SuggestOracle.

## Constructors

SuggestOracle() | Constructor for SuggestOracle.

## Methods

isDisplayStringHTML() | Should Suggestion display strings be treated as HTML?
requestSuggestions(SuggestOracle.Request, SuggestOracle.Callback) | Generate a Response based on a specific Request.

## See Also

SuggestBox

## Constructor Detail

### SuggestOracle

public SuggestOracle()
Constructor for SuggestOracle.

## Method Detail

### isDisplayStringHTML

public boolean isDisplayStringHTML()
Should Suggestion display strings be treated as HTML? If true, this all suggestions' display strings will be interpreted as HTML, otherwise as text.

#### Return Value

by default, returns false

### requestSuggestions

public abstract void requestSuggestions(SuggestOracle.Request request, SuggestOracle.Callback callback)
Generate a Response based on a specific Request. After the Response is created, it is passed into Response).

#### Parameters

request
  the request
callback
  the callback to use for the response